Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.controller
Interface RequestSynchronizer.Handler

Enclosing interface:
  RequestSynchronizer

public static interface RequestSynchronizer.Handler

Method Summary
`java.lang.String` | `getResultURI()` returns the URI of the result that the busy page should redirect to
`boolean` | `isBusyPage()` true if this request is the busy page
`void` | `normalRequest()` this request that should be processed normally
`void` | `recursiveRequest()` this is a recursive request like forward, include etc
`void` | `showBusyPage(boolean redirect)` this should redirect to a page saying "your result is computed, please wait ... ".

Method Detail

### normalRequest

    public void normalRequest()
                       throws java.lang.Exception

  this request that should be processed normally

  Throws:
    `java.lang.Exception`

### recursiveRequest

    public void recursiveRequest()
                          throws java.lang.Exception

  this is a recursive request like forward, include etc

  Throws:
    `java.lang.Exception`

### showBusyPage

    public void showBusyPage(boolean redirect)
                      throws java.lang.Exception

  this should redirect to a page saying "your result is computed, please wait ... ". The page could then redirect to RequestSynchronizer.instance(session).getResultURI() to show the result.

  Parameters:
    `redirect` - true, when the current page is not the busy page. false, if the current page already is the busy page.
  Throws:
    `java.lang.Exception`

### getResultURI

    public java.lang.String getResultURI()

  returns the URI of the result that the busy page should redirect to

### isBusyPage

    public boolean isBusyPage()

  true if this request is the busy page

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD